Package ghidra.framework.plugintool

# Interface AutoConfigState

public interface AutoConfigState

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `AutoConfigState.BigIntegerConfigFieldCodec`
  `static class`
  `AutoConfigState.BooleanArrayConfigFieldCodec`
  `static class`
  `AutoConfigState.BooleanAsyncConfigFieldCodec`
  `static class`
  `AutoConfigState.BooleanConfigFieldCodec`
  `static class`
  `AutoConfigState.ByteArrayConfigFieldCodec`
  `static class`
  `AutoConfigState.ByteConfigFieldCodec`
  `static class`
  `AutoConfigState.ClassHandler<T>`
  `static interface`
  `AutoConfigState.ConfigFieldCodec<T>`
  `static class`
  `AutoConfigState.ConfigStateField<T>`
  `static class`
  `AutoConfigState.DoubleArrayConfigFieldCodec`
  `static class`
  `AutoConfigState.DoubleConfigFieldCodec`
  `static class`
  `AutoConfigState.EnumConfigFieldCodec`
  `static class`
  `AutoConfigState.FileConfigFieldCodec`
  `static class`
  `AutoConfigState.FloatArrayConfigFieldCodec`
  `static class`
  `AutoConfigState.FloatConfigFieldCodec`
  `static class`
  `AutoConfigState.GenericAsyncConfigFieldCodec<T>`
  `static class`
  `AutoConfigState.IntArrayConfigFieldCodec`
  `static class`
  `AutoConfigState.IntConfigFieldCodec`
  `static class`
  `AutoConfigState.LongArrayConfigFieldCodec`
  `static class`
  `AutoConfigState.LongConfigFieldCodec`
  `static class`
  `AutoConfigState.PathConfigFieldCodec`
  `static final record`
  `AutoConfigState.PathIsDir`
  `static class`
  `AutoConfigState.PathIsDirConfigFieldCodec`
  `static final record`
  `AutoConfigState.PathIsFile`
  `static class`
  `AutoConfigState.PathIsFileConfigFieldCodec`
  `static class`
  `AutoConfigState.ShortArrayConfigFieldCodec`
  `static class`
  `AutoConfigState.ShortConfigFieldCodec`
  `static class`
  `AutoConfigState.StringArrayConfigFieldCodec`
  `static class`
  `AutoConfigState.StringConfigFieldCodec`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static <T> AutoConfigState.ClassHandler<T>`
  `wireHandler(Class<T> cls, MethodHandles.Lookup lookup)`
  Wire up a handler for the given class, using the given lookup

- ## Method Details

  - ### wireHandler

    static <T> AutoConfigState.ClassHandler<T> wireHandler(Class<T> cls, MethodHandles.Lookup lookup)
    Wire up a handler for the given class, using the given lookup

    This does not consider super classes, since the writeConfigState of a class using this and the applicable annotations should likely call super.writeConfigState to allow the super class to handle its fields, whether or not it also uses the annotations.

    Type Parameters:
      `T` - the type of the class whose fields are annotated by `AutoConfigStateField`
    Parameters:
      `cls` - the class whose fields are annotated
      `lookup` - a lookup from within the class, granting access to the annotated fields
    Returns:
      the handler